## 名称
评论发布器
comment-publisher


## 功能

1.文字发布
2.图片发布
3.支持自定义功能

## 可配置属性与控制的功能

|属性名|类型|必填|默认值|说明|
|contentPlaceholder|String|否|请输入内容|提示占位文案|
|moduleList|Array|||显示模块list|
|emojiPath||String|||设置自定义表情配置路径（NA版支持，降级版不支持）|
|foucs|Boolean|否|false|true代表调起，false则不调起(NA版不支持，降级版支持)|
|isUpLoadImage|Boolean|否|false|是否展示上传图片按钮|
|requestUrl|String|isUpLoadImage为true，则必填||由于小程序图片预览只能是http或https，所以上传图片需要先上传到服务器(NA版不支持，降级版支持)|
|commentParam.openid|String|是|-|小程序开发者唯一标识|
|commentParam.snid|String|是|-|动态在开发者侧的唯一标识。不为空。若此时小程序侧没有对应的标识，则先创建动态。|
|commentParam.spid|String|是|-|为空，表示对动态评论；不为空，表示对评论进行评论。若小程序侧没有 spid 对应的标识，则认为此时对主题进行评论。|
|commentParam.srid|String|是|-|回复 id|
|commentParam.title|String|是|-|动态标题|
|commentParam.content|String|是|-|动态内容|
|commentParam.images|Array|否|-|动态图集, json 数组, 格式 ["a.jpg","b.jpg"]|
|commentParam.appKey|String|是||小程序唯一标识|
|commentParam.path|String|是||用于拼接跳转的schema,例如 path= /page/a/b?query=q|
|bind:browseMode|EventHandle||当输入框失焦后会触发事件(NA版不支持，降级版支持)|
|bind:relaseComment|EventHandle||点击发表按钮时触发的事件|
|bind:previewImage|EventHandle||点击输入框中已经上传的图片时触发的事件(NA版不支持，降级版支持)|

## 使用方法

1.安装组件
    npm install @smt-ui/s-component

2.在需要使用该组件页面 page.json 中添加当前自定义组件配置

    {
        "usingComponents": {
            "s-comment-publisher": "@smt-ui/s-component/src/comment-publisher"
        }
    }

3.在swan文件中引用组件

    <s-comment-publisher
        commentParam="{{commentParam}}"
        isUpLoadImg="true"
        requestUrl="http:xxx.xxx.com"
        bind:gotoPosition="gotoPosition"
        bind:browseMode="browseModeEventHandler"
        bind:relaseComment="relaseCommentEventHandler"
        bind:previewImage="previewImageHandler">
    </s-comment-publisher>

js:
    Page({
        relaseCommentEventHandler() {
            let param = {
                snid: '111',
                path: '332222',
                appKey: 'wSfMyKIbrbNg7ogTFTcBuk1P8mgGTlB1',
                spid: 'ddd',
                srid: 'qqqq',
                title: '评论的文章的标题',
                openid: '88989',
                content: 'dasccccc'
            };

            this.setData('commentParam', param);
        }
    });

