##
### 解释：展开收起面板
### 属性说明：
|属性名 | 类型 | 必填 | 默认值 |说明 |
|---|---|---|---|---|
|content |String |是||展示的内容，仅当actionClass='single'有效|
|line-count |Number |否|3|展示的行数，仅当actionClass='single'有效|
|height |Number |否|130.32|展示的高度，单位rpx，仅当actionClass='full'有效|
|action-class |String |否|single|single显示展开按钮，full显示查看更多按钮，两种按钮样式不同|
|action-font-size |Number |否|28.96|按钮大小，单位rpx|
|action-font-color |String |否|#027AFF、#999|按钮字体颜色，展开默认颜色#027AFF，查看更多默认颜色#999|
|show-action |Boolean |否|true|是否显示展开按钮|
|class-name |String |否||自定义样式类|
|class-content |String |否||自定义样式类|

### 示例
json:
```
    {
        "component": true,
        "usingComponents": {
            "expand-collapse": "@baidu/swan-solution-components/src/expand-collapse",
            "list": "@baidu/swan-solution-components/src/list",
            "list-item": "@baidu/swan-solution-components/src/list-item"
        }
    }
```

js: 
```
Page({
    data: {
        data: [
        {
            type: 'grid-item-1',
            main: '双行列表',
            desc: '文字信息'
        },{
            type: 'grid-item-1',
            main: {
                title: '双行列表',
                sub: '文字信息'
            },
            desc: '文字信息'
        },{
            type: 'grid-item-2',
            main: {
                title: '双行列表',
                sub: '文字信息'
            },
            desc: '文字信息'
        },{
            type: 'grid-item-3',
            main: '文字信息',
            desc: '文字信息',
            avatar: 'http://bjhcdn.bdstatic.com/bjh/content/static/img/avatar-holder_be8c2ceac.gif'
        },{
            type: 'grid-item-2 grid-item-3',
            main: {
                title: '文字信息',
                sub: '文字信息'
            },
            desc: '文字信息',
            avatar: 'http://bjhcdn.bdstatic.com/bjh/content/static/img/avatar-holder_be8c2ceac.gif'
        }]
    }
});

```

swan:
```
    <expand-collapse content="人类历史上威力最大的核武器，是苏联设计制造的一亿吨TNT爆炸当量的沙皇氢弹，由于威力太大，波及范围大，所以为了保证试验安全，当量减半，实际爆炸威力大概是5800万吨">
    </expand-collapse>
    <view style="padding: 10px 20px 0;background-color:#fff;">
        <expand-collapse action-class="full">
            <list>
                 <block s-for="item, index in data">
                    <list-item
                        title-type="{{item.titleType}}"
                        type="{{item.type}}"
                        main="{{item.main}}"
                        index="{{index}}" 
                        desc="{{item.desc}}"
                        avatar="{{item.avatar}}"
                        icon="{{item.icon}}"
                        icon-size="{{item.iconSize}}"
                        icon-color="{{item.color}}"
                        arrow="{{item.arrow}}"
                        event="test"
                        info="to myself"
                        bind:test="onMyEvent"
                    >
                    </list-item>
                </block>
            </list>
        </expand-collapse>
    </view>
```