/**
 * @file collapse-panel组件
 * @author zengqingzhuang(zengqingzhuang@baidu.com)
 */
/* globals Page, swan, getApp, getCurrentPages */
Component({ // eslint-disable-line
    externalClasses: ['class-name', 'class-content'],
    properties: {
        lineCount: { // actionClass='single'有效
            type: Number,
            value: 3
        },
        content: { // actionClass='single'有效
            type: String,
            observer() {
                this.initSingleCollapse();
            }
        },
        height: { // actionClass='full'有效
            type: Number,
            value: 130.32
        },
        // value=single/full
        actionClass: {
            type: String,
            value: 'single'
        },
        actionFontSize: {
            type: Number,
            value: 28.96
        },
        actionFontColor: {
            type: String,
            value: '#027AFF'
        },
        showAction: {
            type: Boolean,
            value: false
        }
    },
    data: {
        expand: false, // 默认收起
        showRichTextTemp: true
    },
    lifetimes: {
        created() {
            this.defaultLineCount = this.data.lineCount;
            if (this.data.actionClass === 'full') {
                this.defaultHeight = this.data.height;
                this.setData({
                    showAction: true,
                    actionFontColor: '#999'
                });
            }
        }
    },
    methods: {
        initSingleCollapse() {
            if (this.data.actionClass === 'single' && typeof this.data.content === 'string') {
                this.createSelectorQuery().select('.expand-collapse__rich-text-temp').fields({
                    computedStyle: ['lineHeight', 'height']
                }, rect => {
                    if (rect && rect.height) {
                        const lineHeight = +rect.lineHeight.replace('px', '');
                        const contentHeight = +rect.height.replace('px', '');
                        if (lineHeight * this.data.lineCount < contentHeight) {
                            this.data.showAction = true;
                        }
                    }
                    this.setData({
                        showRichTextTemp: false,
                        showAction: this.data.showAction
                    });
                }).exec();
            }
        },
        expandAction() {
            const expand = !this.data.expand;
            const actionClass = this.data.actionClass;
            let lineCount = 0;
            let height = 'auto';
            if (!expand) {
                actionClass === 'single' && (lineCount = this.defaultLineCount);
                actionClass === 'full' && (height = this.defaultHeight);
            }
            this.setData({
                expand,
                height,
                lineCount
            });
            this.triggerEvent('expand', {expand});
        },
        touchstart() {
            this.setData({
                fullHover: 'full-hover',
                textHover: 'text-hover'
            });
        },
        touchend() {
            this.setData({
                fullHover: '',
                textHover: ''
            });
        }
    }
});
