
## list组件说明



## 示例图

![](http://agroup-bos.cdn.bcebos.com/e1306877140f378e4ed3e553b83d96a52145a3c1)

## 可配置属性与控制的功能

#### dataSource
|属性名 | 类型 | 必填 | 默认值 |说明 |
|---|---|---|---|
|class-name|String|否|-|list样式命名空间|

#### list-item属性说明（数组中单项）：
|属性名 | 类型 | 必填 | 默认值 |说明 |
|---|---|---|---|
|type|String|是|-|默认使用设计图样式，例如 text-item-1|
|title-type|String|否|short|左主标题的长度，  short-四字，超出...截断  long-六字，超出...截断   max-换行不截断|
|class-name|String|否|-|外层样式命名空间|
|main|Object \| String|否|-|首行标题 具体配置项参考下文|
|desc|Array \| String|否|-|下方内容 支持配置多行 具体配置项参考下文|
|avatar|string|否|-|左侧头像图片地址|
|arrow|boolean|否|-|是否展示箭头|
|hover|boolean|否|-|是否展示按压阴影|
|event|String|否|-|触发事件名称|
|show-border|boolean|否|true|是否展示border|
|no-break|boolean|否|false|是否右侧强制换行|
|info|-|否|-|绑定在触发事件元素上的信息，可以value中获取|
|icon|string|否|-|左侧icon类型  -----ga-icon|
|icon-size|string|否|-|左侧icon大小尺寸|
|icon-color|string|否|-|左侧icon颜色|
|main.title|String \| Object|否|-|首行标题 左侧文字或具体配置|
|main.sub|String \| Object \| Array|否|-|首行标题 右侧文字或具体配置(支持多内容  通过margin-left做分割)|
|desc[i].title|String \| Object|否|-|下方内容 左侧文字或具体配置|
|desc[i].sub|String \| Object \| Array|否|-|下方内容 右侧文字或具体配置(支持多内容  通过margin-left做分割)|

#### main、desc单项配置：

|属性名 | 类型 | 必填 | 默认值 |说明 |
|---|---|---|---|---|
|content|String|否|-|左侧文字|
|color|String|否|-|文字颜色|
|event|String|否|-|触发事件名称|
|info|-|否|-|绑定在触发事件元素上的信息，可以value中获取|
#### 扩展样式：
'custom-border'：控制边框样式
'custom-main'：控制main样式（第一行样式）
‘custom-desc'：控制desc样式（下方内容区样式）
'custom-item： 最外层的class
## 使用示例
json:

    {
        "navigationBarTitleText": "列表",
        "navigationStyle": "custom",
        "usingComponents": {
            "list": "@baidu/swan-solution-components/src/list",
            "list-item": "@baidu/swan-solution-components/src/list-item"
        }
    }

swan:

    <list>
         <block s-for="item, index in data">
            <list-item
                title-type="{{item.titleType}}"
                type="{{item.type}}"
                main="{{item.main}}"
                index="{{index}}"
                desc="{{item.desc}}"
                avatar="{{item.avatar}}"
                icon="{{item.icon}}"
                icon-size="{{item.iconSize}}"
                icon-color="{{item.color}}"
                arrow="{{item.arrow}}"
                event="test"
                info="to myself"
                bind:test="onMyEvent"
            >
            </list-item>
        </block>
    </list>
js:
```javascript { .theme-peacock }
/**
 * @file list component
 * @author jiangzichen
 */
/* globals Page, swan */
Page({
    onMyEvent: (opt) => {
        console.log(opt);
    },
    data: {
        data: [{
            type: 'text-item-1',
            main: {
                title: '四字标题',
                sub: '54PX信息'
            }
        },{
            type: 'text-item-1',
            titleType: 'long',
            main: {
                title: {
                    content: '六字标题排版',
                },
                sub: '54PX信息'
            }
        },{
            type: 'text-item-2',
            main: {
                title: '标题文字',
                sub: '详细信息'
            },
            desc: {
                title: '描述信息',
                sub: '描述信息'
            }
        },{
            type: 'text-item-2',
            main: {
                title: '标题文字',
                sub: {
                    content: '详细信息',
                    color: '#C40311'
                }
            },
            desc: {
                title: '描述信息',
                sub: '描述信息'
            }
        }, {
            type: 'text-item-3',
            main: {
                title: '标题文字',
                sub: '文字信息文字信息文字信息文字文字信息文字信息'
            }
        },{
            type: 'text-item-3',
            titleType: 'long',
            main: {
                title: {
                    content: '六字以上标题排版',
                },
                sub: '文字信息文字信息文字信息文字文字信息文字信息文字信息文字信息文字信息'
            },
            showAction: true
        },
        {
            type: 'text-item-3',
            main: {
                title: '四字标题',
                sub: [{
                    content: '010-2323232',
                    event: 'callPhone',
                    info: '010-2323232'
                },{
                    content: '010-2323232',
                    event: 'callPhone',
                    info: '010-2323232'
                },{
                    content: '010-2323232',
                    event: 'callPhone',
                    info: '010-2323232'
                }]
            }
        },{
            type: 'nav-multi-line-item-1',
            main: '双行列表',
            desc: '文字信息'
        },{
            type: 'nav-multi-line-item-1',
            main: {
                title: '双行列表',
                sub: '文字信息'
            },
            desc: '文字信息'
        },{
            type: 'nav-multi-line-item-2',
            main: {
                title: '双行列表',
                sub: '文字信息'
            },
            desc: '文字信息'
        },{
            type: 'nav-multi-line-item-3',
            main: '文字信息',
            desc: '文字信息',
            avatar: 'http://pic.rmb.bdstatic.com/695435fd2e81b55d57e5686a7bb7af03.png'
        },{
            type: 'nav-multi-line-item-3',
            main: {
                title: '文字信息',
                sub: '文字信息'
            },
            desc: '文字信息',
            avatar: 'http://pic.rmb.bdstatic.com/695435fd2e81b55d57e5686a7bb7af03.png'
        },{
            type: 'nav-item-1',
            main: {
                title: '五字标题题',
                sub: '文字信息'
            }
        },
        {
            type: 'nav-item-1',
            titleType: 'long',
            main: {
                title: {
                    content: '六字标题排版',
                },
                sub: '文字信息'
            }
        },
        {
            type: 'nav-item-2',
            main: {
                title: '文字信息文字信息文字信息文字信息文字信息文字信息'
            }
        },{
            type: 'nav-item-2',
            main: {
                title: '文字信息文字信息文字信息文字信息文字信息文字信息',
                sub: '副标题'
            }
        },{
            type: 'nav-item-2',
            main: {
                title: '文字信息文字信息文字信息文字信息文字信息文字信息',
                sub: '副标题'
            },
            icon: 'home',
            iconSize: '16',
            iconColor: 'red',
        },{
            type: 'multi-line-item-1',
            main: '54PX文字信息文字信息文字信息文字信息文字信息文字信息',
            titleType: 'long',
            desc: [{
                title: '内容标题',
                sub: '文字信息'
            },{
                title: '内容标题',
                sub: '文字信息'
            },{
                title: '内容标题',
                sub: '文字信息'
            },{
                title: '内容标题',
                sub: '文字信息'
            },{
                title: '内容标题',
                sub: '文字信息'
            },{
                title: {
                    content: '内容标题内容标题',
                },
                sub: {
                    content: '文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息文字信息',
                    showAction: true
                }
            }]
        }
    ]
    }
});
```

