
## 功能

发布器，其中带有标题/内容/图片，功能

## 可配置属性与控制的功能
#### 属性说明：
|属性名 | 类型 | 必填 | 默认值 |说明  | 
|---|---|---|---|---|   
|title|String|||发布器进入后，标题栏展示的默认标题|
|titlePlaceHolder|String    |||发布器中的标题placeholder|
|titleLimit|Number||20|标题的最大字数限制|
|titleMinLimit|Number||-1|标题的最小字数限制|
|content|String|||发布器内容编辑部分，初始的内容|
|contentPlaceHolder|String|||发布器中的内容placeholder|
|contentLimit|Number    ||120   |内容发布的最大字数限制|
|contentMinLimit|Number||-1|内容发布的最小字数限制|
|pictureList|Array||[]|展示在用户的图片区的所有图片的列表|
|pictureLimit|Number||9|展示在内容下方的图片的数量限制|
|pictureSelectLimit |Number||9|用户从相册选择图片的时候，最多选择图片数量的限制|
|showPictureTips|Boolean||  false|  在图片区域下方，是否展示提示|
|pictureSizeLimit   |Number||   1e7|    当选择多个图片时，其中最大的是否超过了此值，单位B|
|pictureSizeLimit|  Number||    1e7 |当选择多个图片时，其中最大的是否超过了此值，单位B|
|submitParam|Object|是|-|动态发布成功后的返回给百度服务测的参数|
|submitParam.snid|Object|是|-|动态在开发者侧的唯一标识。当为空，默认开发者将数据托管在宿主，小程序侧创建动态后返回唯一标识给开发者。|
|submitParam.path|Object|是|-|动态的 schema 格式，跳转用|
|submitParam.appKey|Object|是|-|小程序唯一标识|
|submitParam.openid|Object|是|-|小程序开发者唯一标识|
|bind:chooseImage|  EventHandle|||      点击+号之后，用户选择完成图片的回调（返回临时地址，需要调用组件的人自行上传，再填充pictureList）
|bind:delImage| EventHandle|||      点击图片右上角的删除按钮后，会直接删除图片，并通知删除的索引|
|bind:publish|  EventHandle|||      点击提交按钮后，会回调给使用组件者|

## 使用示例
安装组件
    npm install @smt-ui/s-component
    
json:

    {
        "navigationBarTitleText": "标题",
        "usingComponents": {
            "s-publish": "@smt-ui/s-component/src/publish"
        }
    }
swan:

    <view>
        <s-publish
            bind:chooseImage="chooseImage"
            bind:delImage="delImage"
            bind:publish="onPublish"
            submitParam="{{submitParam}}"
            pictureList="{{images}}">
        </s-publish>
    </view>

js:

    Page({ // eslint-disable-line
        chooseImage(e) {
            this.setData({
                images: [
                    'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1567081084460&di=be6c68f9dbf4f9fd98a62fa8b0f06e9b&imgtype=0&src=http%3A%2F%2Fwx2.sinaimg.cn%2Forj360%2F7dd58bb4gy1g2welv0sthj20u02tftlh.jpg',
                    'https://b.bdstatic.com/searchbox/icms/searchbox/img/ripple-voice.gif',
                    'https://b.bdstatic.com/searchbox/icms/searchbox/img/ripple-err.gif',
                    'https://b.bdstatic.com/searchbox/icms/searchbox/img/ripple-init.gif',
                    'https://pics1.baidu.com/feed/622762d0f703918f4991b1ab60f37d9258eec467.jpeg?token=d99ec3deef3d5f241c1bee32c4fa2210&s=F1BAA377327A279AD4A2EA850300B08F'
                ]
            });
        },
        // 发布器图片删除
        delImage(e) {
            this.setData({
                images: this.data.images.filter(function (item, index) {
                    if (index !== e.index) {
                        return item;
                    }
                })
            });
        },
    
        onPublish(e) {
            let param = {
                snid: '111',
                path: '332222',
                appKey: 'wSfMyKIbrbNg7ogTFTcBuk1P8mgGTlB1',
                openid: 'dasa'
            };
    
            this.setData('submitParam', param);
        }
    });
